caffe (1.0.0+git20180821.99bd997-2) unstable; urgency=medium

  * Ignore precision issue on mips* machines which may lack an FPU.
    (Closes: #915108)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 06 Dec 2018 04:24:33 +0000

caffe (1.0.0+git20180821.99bd997-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 1.0.0+git20180821.99bd997
  * libcaffe.so Depends on OpenBLAS or Atlas or MKL. (Closes: #898941)
  * Package caffe-cpu doesn't need to Depend on libopenblas-base or alike.
  * Bump Standards-Version to 4.2.0 (no change).

  [ Dimitri John Ledkov ]
  * Fix finding the right boost-python. (1.0.0-8ubuntu1) (Closes: #914067)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 25 Nov 2018 02:36:07 +0000

caffe (1.0.0-8) unstable; urgency=medium

  * Fix FTBFS on Arch=all due to installing a file that is not built.
    (Closes: #899133)
  * Add upstream unittest to autopkgtest control file.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 20 May 2018 07:08:19 +0000

caffe (1.0.0-7) unstable; urgency=medium

  * Install upstream unittests as a part of the tools package.
  * Build-Depend on python3-distutils (See: #894203)
  * Strip unneeded --parallel option from rules, because compat=11 .
  * Bump X-Python-Version to 3.5 .
  * Bump Standards-Version to 4.1.4 (no change).
  * Update watch file to version=4 .

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 19 May 2018 13:47:43 +0000

caffe (1.0.0-6) unstable; urgency=medium

  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.3 (no change).
  * Vcs-* fields point to Salsa.
  * Don't hardcode python3.5 in the patch.
  * Fix insecure-copyright-format-uri.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 27 Jan 2018 04:37:42 +0000

caffe (1.0.0-5) unstable; urgency=medium

  * Apply updates from upstream master branch.
    - Remove merged patch cmake-change-static-lib-name.patch.
  * Bump Standards-Version to 4.1.2 (no change).
  * Update description of caffe-doc.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 19 Dec 2017 02:35:35 +0000

caffe (1.0.0-4) unstable; urgency=medium

  * Update my name in control and copyright.
  * Bump Standards-Version to 4.1.1 . No change needed.
  * Use dh_missing --list-missing instead of dh_install --list-missing .
  * Remove the dirty hacks in the doc build.
  * Add several libjs* dependencies for the doc package.
  * Don't build binaries in indep-only build mode.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 18 Dec 2017 11:51:53 +0000

caffe (1.0.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Set Multi-Arch of the dev package to same.
  * Bump Standards Version to 4.0.0 (No change needed).

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 23 Jun 2017 01:39:36 +0000

caffe (1.0.0-2) experimental; urgency=medium

  * Rename static library libproto.a -> libcaffeproto.a and add it back
    to the -dev package. (Closes: #862528)

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 15 May 2017 02:08:06 +0000

caffe (1.0.0-1) experimental; urgency=medium

  * New upstream release. The first upstream stable release.
    The version number is imported as 1.0.0 instead of 1.0 (upstream)
    for correct dpkg version comparison.
  * Patchset update:
    - Remove merged patch make-using-gnuinstalldirs .
    - Remove merged patch fix-more-float-comparison-precision-issue .
    - Drop patch post_rc5_upstream_updates.patch .
  * Rules: update CAFFE_SOVER and get-orig-source accordingly.
  * Control:
    + Add missing dependency: python3-pydotplus .
    + Update package description: upstream lab renamed from BVLC to BAIR.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 17 Apr 2017 02:52:44 +0000

caffe (1.0.0~rc5-1) experimental; urgency=medium

  * New upstream RC release.
  * Update CAFFE_SOVER and get-orig-source target in rules.
  * Update patches:
    - Remove cmake-avoid-argument-missing, cmake-bump-soversion-to-rc4.patch .
    - Refresh the other patches.
    - Cherry-pick upstream updates to rc5: post_rc5_upstream_updates.patch .

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 15 Mar 2017 08:10:16 +0000

caffe (1.0.0~rc4-1) unstable; urgency=medium

  * New upstream release.
  * Update URL for get-orig-source target in rules.
  * Bump debhelper compat to 10.
  * Patch: add cmake-bump-soversion-to-rc4.patch to fix upstream soversion.
  * Rules: CAFFE_SOVER is `1.0.0-rc4` now.
  * Get rid of symbols control files to avoid endless FTBFS bugs caused
    by symbols change of C++ shared library.
  * Add the missing pytest target in override_dh_auto_test-arch.
  * Update LD_LIBRARY_PATH for dh_auto_test.
  * Rules: patch refman.tex before compiling to avoid pdflatex error.
  * Rules: remove all __pycache__ directories on clean.
  * Refresh lintian overrides.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 21 Jan 2017 11:26:37 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-5) unstable; urgency=medium

  * Add patch: cmake-link-correct-python-lib.patch to fix FTBFS.
    (Closes: #850989).

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 12 Jan 2017 04:38:30 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-4) unstable; urgency=medium

  * Avoid autopkgtest failure by fixing stderr redirection.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 09 Dec 2016 02:06:23 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-3) unstable; urgency=medium

  * Refresh symbols control file from buildd's log.
  * Temporarily remove unused symbols file for kfreebsd-{amd64,i386}.
  * Mark caffe-doc as "Multi-Arch: foreign".
  * Redirect all autopkgtest scripts' stderr to stdout in order to
    make CI happy. Test scripts are considered failed as long as they
    produced output to stderr.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 03 Dec 2016 04:10:30 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-2) unstable; urgency=medium

  * Install docker directory to caffe-doc package.
  * Refresh symbols control files for amd64 and i386.
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 29 Nov 2016 01:24:19 +0000

caffe (1.0.0~rc3+20161127-g24d2f67-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Add patch: fix-more-float-comparison-precision-issue2 to fix more float
    point number comparison issue.
  * Refresh symbols control files.

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 28 Nov 2016 11:07:46 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-3) experimental; urgency=medium

  * Refresh symbols control file for i386 and ppc64el.
  * Move OpenBLAS and Atlas to Dependency of caffe-cpu, both prior to
    Generic BLAS (libblas3). That means users are forced to use one of
    optimized BLAS packages as long as available.
  * Update README.Debian .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 28 Nov 2016 02:08:10 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-2) experimental; urgency=medium

  * Update autopkgtest scripts.
  * Refresh symbols control file for the following architectures:
    + amd64 (default), i386, ppc64el, kfreebsd-{amd64,i386}.
  * Add python3-protobuf to B-D, which is available since protobuf_3.0.0-8 .
  * Add description for several patches.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 26 Nov 2016 04:24:25 +0000

caffe (1.0.0~rc3+20160930-ga7f950b-1) experimental; urgency=medium

  * Import upstream snapshot (a7f950baafd7657732a40286e6db89f2c3baef63).
  * Fix changelog of the previous revision:
    - Fix typo: comtrol -> control .
    - Explain why git and libboost-dev are added as B-D.
  * Add patch fix-more-float-comparison-precision-issue, which fixes
    the float comparison precision problem in some of the unit tests.
  * Update manpage with new command line options added.
  * Update bash completion script according to command line option changes.
  * Refresh symbols control file.
  * Update description for caffe-doc.
  * Override a false-positive lintian warning.
  * Override dh_install with --list-missing.

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 02 Oct 2016 12:31:15 +0000

caffe (1.0.0~rc3+20160715-g42cd785-1) experimental; urgency=medium

  * Import upstream snapshot (42cd785e4b5ed824a9b2a02a19aa534042b64325).
  * Suggest OpenBLAS/Atlas library for metapackage caffe-cpu.
  * Update manpage d/man/caffe.1 .
  * Comment out "-pedantic" from rules to reduce the size of build log.
  * Drop cherry-picked patches, already included in this new snapshot:
    - dont-set-map-size-1TB-in-db-lmdb
    - print-to-stderr-for-example-LMDB-code
    - update-MNIST-example-to-use-new-DB-classes
  * Remove patch fix-spelling-error, which was merged by upstream.
  * Refresh patch cmake-fix-python-module-installdir.
  * Refresh symbols control file.
  * Override dh_fixperms to remove executable bit from several python scripts.
  * Add git and libboost-dev to B-D, to make cmake happy.
  * Add patch: cmake-avoid-argument-missing .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 01 Aug 2016 04:37:02 +0000

caffe (1.0.0~rc3-4) experimental; urgency=medium

  * Cherry-pick upstream fixes for map size issue.
    - dont-set-map-size-1TB-in-db-lmdb
    - print-to-stderr-for-example-LMDB-code
    - update-MNIST-example-to-use-new-DB-classes
  * Update symbols control file, diverge symbols control file for ppc64el.
  * Synchronize packaging with src:caffe-contrib (= 1.0.0~rc3-2).

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 10 Jul 2016 12:10:07 +0000

caffe (1.0.0~rc3-3) experimental; urgency=medium

  * Remove octave related packages and corresponding builds, because
    upstream support for octave is limited.
  * Fix typo in package descriptions, update descriptions.
  * Update rules.
  * Add symbols control file for libcaffe.so .
  * Update README.Debian .

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 04 Jul 2016 14:47:20 +0000

caffe (1.0.0~rc3-2) experimental; urgency=low

  * d/control
    - Rename binary package caffe-cpu to caffe-tools-cpu.
    - Create metapackage "caffe-cpu".
    - Update package descriptions.
    - Add B-D: liboctave-dev, octave-pkg-dev.
    - Bump python-caffe-cpu to python3-caffe-cpu.
    - Suggest caffe-doc for libcaffe-cpu-dev.
  * d/rules
    - Compile octave binary, however octave package is
      temporarily commented out bacause it's WIP.
    - Include defs.make from package 'octave-pkg-dev' for Octave
      related variables.
    - Bump from python2 build to python3 build.
    - change the compiling target order of override_dh_auto_build-arch.
  * d/man
    - Refresh manpage debian/man/caffe.1 , generated by txt2man with
      template file debian/man/caffe.txt
    - Remove unnecessary man pages.
  * d/patch
    - Update patches due to python2->python3 transition.
    - Update forward status in patch headers.
    - Add new patch cmake-octave-fix-library, which fixes python3
      library name for mkoctfile.
  * d/tests
    - Add python3 interface B-D runtime-dependencies for testsuite.
    - Add test suite: python3caffetestsuite .
    - Update testsuite: simple .
  * Add install control files for octave-caffe-cpu.
  * Update debian/clean.
  * Update bash completion script for caffe.
  * Remove d/TODO.
  * Upload to experimental. The -1 version is an accident.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 01 Jul 2016 16:03:51 +0000

caffe (1.0.0~rc3-1) experimental; urgency=low

  * Initial release. (Closes: #788539)

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 01 Jul 2016 14:44:16 +0000
